%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

Name:		libfcrypto
Version:	20221230
Release:	1%{?dist}
Summary:	Library to support encryption formats
Group:		System Environment/Libraries
License:	LGPLv3+
Source:		%{name}-alpha-%{version}.tar.gz
URL:		https://github.com/libyal/libfcrypto
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
BuildRequires:		gcc 

%description -n libfcrypto
Library to support encryption formats

%package -n libfcrypto-static
Summary:	Library to support encryption formats
Group:		Development/Libraries
Requires:	libfcrypto = %{version}-%{release}

%description -n libfcrypto-static
Static library version of libfcrypto.

%package -n libfcrypto-devel
Summary:	Header files and libraries for developing applications for libfcrypto
Group:		Development/Libraries
Requires:	libfcrypto = %{version}-%{release}

%description -n libfcrypto-devel
Header files and libraries for developing applications for libfcrypto.

%if 0%{?with_python3}
%package -n libfcrypto-python%{python3_pkgversion}
Summary:	Python %{python3_pkgversion} bindings for libfcrypto
Group:		System Environment/Libraries
Requires:	libfcrypto = %{version}-%{release} python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel

%description -n libfcrypto-python%{python3_pkgversion}
Python %{python3_pkgversion} bindings for libfcrypto
%endif

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libfcrypto
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libfcrypto-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libfcrypto-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfcrypto.pc
%if 0%{?fedora} >= 36
%else
%{_libdir}/*.la
%endif
%{_includedir}/*
%{_mandir}/man3/*

%if 0%{?with_python3}
%files -n libfcrypto-python%{python3_pkgversion}
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/python3*/site-packages/*.a
%if 0%{?fedora} >= 36
%else
%{_libdir}/python3*/site-packages/*.la
%endif
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Fri Dec 30 2022 Joachim Metz <joachim.metz@gmail.com> 20221230-1
- Auto-generated

